## python-sse-starlette 2.1.3

=== Makefile ===
.DEFAULT_GOAL := help

# You can set these variables from the command line, and also from the environment for the first two.
SOURCEDIR     = source
BUILDDIR      = build
MAKE          = make
VERSION       = $(shell cat VERSION)

app_root := $(if $(PROJ_DIR),$(PROJ_DIR),$(CURDIR))
pkg_src =  $(app_root)/sse_starlette
tests_src = $(app_root)/tests

.PHONY: all
all: clean build upload  ## Build and upload
	@echo "--------------------------------------------------------------------------------"
	@echo "-M- building and distributing"
	@echo "--------------------------------------------------------------------------------"

################################################################################
# Building, Deploying \
BUILDING:  ## ############################################################
.PHONY: build
build: clean format sort-imports  ## format and build
	@echo "building"
	#python -m build
	pdm build

.PHONY: publish
publish:  ## publish
	@echo "upload to Pypi"
	#twine upload --verbose dist/*
	#@git log -10 --pretty=format:"%h %aN %ar %d %s" | grep main | grep Bump && \
		#twine upload --verbose dist/* || \
		#echo "Bump Version before trying to upload"
	pdm publish

.PHONY: bump-major
bump-major:  ## bump-major, tag and push
	bump-my-version bump --commit --tag major
	git push
	git push --tags
	@$(MAKE) create-release

.PHONY: bump-minor
bump-minor:  ## bump-minor, tag and push
	bump-my-version bump --commit --tag minor
	git push
	git push --tags
	@$(MAKE) create-release

.PHONY: bump-patch
bump-patch:  ## bump-patch, tag and push
	bump-my-version bump --commit --tag patch
	git push
	git push --tags
	@$(MAKE) create-release

.PHONY: create-release
create-release:  ## create a release on GitHub via the gh cli
	@if command -v gh version &>/dev/null; then \
		echo "Creating GitHub release for v$(VERSION)"; \
		gh release create "v$(VERSION)" --generate-notes; \
	else \
		echo "You do not have the github-cli installed. Please create release from the repo manually."; \
		exit 1; \
	fi

################################################################################
# Testing \
TESTING:  ## ############################################################
.PHONY: test
test:  ## run tests
	python -m pytest -ra --junitxml=report.xml --cov-config=pyproject.toml --cov-report=xml --cov-report term --cov=$(pkg_src) tests/

.PHONY: test-unit
test-unit:  ## run all tests except "integration" marked
	RUN_ENV=local python -m pytest -m "not (integration or e2e)" --cov-config=pyproject.toml --cov-report=html --cov-report=term --cov=$(pkg_src) tests

.PHONY: tox
tox:   ## Run tox
	tox

################################################################################
# Code Quality \
QUALITY:  ## ############################################################

.PHONY: format
format:  ## perform ruff formatting
	@ruff format $(pkg_src) $(tests_src)

.PHONY: format-check
format-check:  ## perform black formatting
	@ruff format --check $(pkg_src) $(tests_src)

.PHONY: sort-imports
sort-imports:  ## apply import sort ordering
	isort $(pkg_src) $(tests_src) --profile black

.PHONY: style
style: sort-imports format  ## perform code style format (black, isort)

.PHONY: lint
lint:  ## check style with ruff
	ruff check $(pkg_src) $(tests_src)

.PHONY: mypy
mypy:  ## check type hint annotations
	@mypy --config-file pyproject.toml --install-types --non-interactive $(pkg_src)

################################################################################
# Clean \
CLEAN:  ## ############################################################
.PHONY: clean
clean: clean-build clean-pyc  ## remove all build, test, coverage and Python artifacts

.PHONY: clean-build
clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . \( -path ./env -o -path ./venv -o -path ./.env -o -path ./.venv \) -prune -o -name '*.egg-info' -exec rm -fr {} +
	find . \( -path ./env -o -path ./venv -o -path ./.env -o -path ./.venv \) -prune -o -name '*.egg' -exec rm -f {} +

.PHONY: clean-pyc
clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +


################################################################################
# Misc \
MISC:  ## ############################################################
define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z0-9_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("\033[36m%-20s\033[0m %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

.PHONY: help
help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

=== debian/changelog ===
python-sse-starlette (2.1.3-2) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 08 Sep 2024 08:09:09 +0200

python-sse-starlette (2.1.3-1) unstable; urgency=medium

  * Team upload

  [ Carsten Schoenert ]
  * [f36f4a4] New upstream version 2.1.3

  [ Kathara Sasikumar ]
  * [23b77ac] Initial Debianization
    (Closes: #1079092)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 30 Aug 2024 10:04:31 +0200

=== debian/control ===
Source: python-sse-starlette
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-anyio <!nocheck>,
 python3-asgi-lifespan <!nocheck>,
 python3-httpx <!nocheck>,
 python3-pdm-backend,
 python3-psutil <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-requests <!nocheck>,
 python3-starlette <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/sysid/sse-starlette
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sse-starlette
Vcs-Git: https://salsa.debian.org/python-team/packages/python-sse-starlette.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-sse-starlette
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: SSE plugin for Starlette and FastAPI (Python 3)
 Implements Server-Sent Events (SSE) implementation for Starlette and FastAPI,
 enabling  real-time event streaming from server to client.
 .
 https://developer.mozilla.org/en-US/docs/Web/API/Server-sent_events
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=sse_starlette

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mypy_cache .pytest_cache

## python-sse-starlette 2.2.1

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 BUILDDIR      = build
 MAKE          = make
 VERSION       = $(shell cat VERSION)
+PACKAGE_NAME  = sse-starlette
 
 app_root := $(if $(PROJ_DIR),$(PROJ_DIR),$(CURDIR))
 pkg_src =  $(app_root)/sse_starlette
@@ -17,22 +18,26 @@
 	@echo "--------------------------------------------------------------------------------"
 
 ################################################################################
+# Development \
+DEVELOP: ## ############################################################
+
+build-docker: ## build docker image
+	@echo "building docker image"
+	docker build --platform linux/amd64 --progress=plain -t sse_starlette .
+	#docker tag $(IMAGE_NAME) 339712820866.dkr.ecr.eu-central-1.amazonaws.com/sse-starlette/sse-starlette:latest
+
+################################################################################
 # Building, Deploying \
 BUILDING:  ## ############################################################
 .PHONY: build
-build: clean format sort-imports  ## format and build
+build: clean format  ## format and build
 	@echo "building"
-	#python -m build
-	pdm build
+	python -m build
 
 .PHONY: publish
 publish:  ## publish
 	@echo "upload to Pypi"
-	#twine upload --verbose dist/*
-	#@git log -10 --pretty=format:"%h %aN %ar %d %s" | grep main | grep Bump && \
-		#twine upload --verbose dist/* || \
-		#echo "Bump Version before trying to upload"
-	pdm publish
+	twine upload --verbose dist/*
 
 .PHONY: bump-major
 bump-major:  ## bump-major, tag and push
@@ -70,11 +75,12 @@
 TESTING:  ## ############################################################
 .PHONY: test
 test:  ## run tests
-	python -m pytest -ra --junitxml=report.xml --cov-config=pyproject.toml --cov-report=xml --cov-report term --cov=$(pkg_src) tests/
+	#python -m pytest -ra --junitxml=report.xml --cov-config=pyproject.toml --cov-report=xml --cov-report term --cov=$(pkg_src) tests/
+	RUN_ENV=local python -m pytest -m "not (experimentation)" --cov-config=pyproject.toml --cov-report=html --cov-report=term --cov=$(pkg_src) tests
 
 .PHONY: test-unit
 test-unit:  ## run all tests except "integration" marked
-	RUN_ENV=local python -m pytest -m "not (integration or e2e)" --cov-config=pyproject.toml --cov-report=html --cov-report=term --cov=$(pkg_src) tests
+	RUN_ENV=local python -m pytest -m "not (integration or experimentation)" --cov-config=pyproject.toml --cov-report=html --cov-report=term --cov=$(pkg_src) tests
 
 .PHONY: tox
 tox:   ## Run tox
@@ -92,12 +98,8 @@
 format-check:  ## perform black formatting
 	@ruff format --check $(pkg_src) $(tests_src)
 
-.PHONY: sort-imports
-sort-imports:  ## apply import sort ordering
-	isort $(pkg_src) $(tests_src) --profile black
-
 .PHONY: style
-style: sort-imports format  ## perform code style format (black, isort)
+style: sort-imports format  ## perform code style format
 
 .PHONY: lint
 lint:  ## check style with ruff

=== debian/changelog ===
python-sse-starlette (2.2.1-1) unstable; urgency=medium

  * Team upload
  * [80c412b] New upstream version 2.2.1
  * [84b0c4e] Drop exiting patch queue
  * [5173fad] d/control: Switch from PDM to Setuptools as upstream did
  * [2b54e9c] d/rules: Ignore tests requiring internet access
  * [8e56396] autopkgtest: Adjust setup due upstream changes

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 26 Dec 2024 13:44:40 +0200

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
  python3-anyio <!nocheck>,
  python3-asgi-lifespan <!nocheck>,
  python3-httpx <!nocheck>,
- python3-pdm-backend,
  python3-psutil <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-requests <!nocheck>,
+ python3-setuptools,
  python3-starlette <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://github.com/sysid/sse-starlette

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/sysid/sse-starlette.git \
      refs/tags/@ANY_VERSION@

## python-sse-starlette 2.3.3

=== debian/changelog ===
python-sse-starlette (2.3.3-1) unstable; urgency=medium

  * Team upload
  * [71b56f4] New upstream version 2.3.3
  * [190333c] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Apr 2025 13:51:35 +0200

## python-sse-starlette 2.3.4

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 tests_src = $(app_root)/tests
 
 .PHONY: all
-all: clean build upload  ## Build and upload
+all: clean build publish  ## Build and publish
 	@echo "--------------------------------------------------------------------------------"
 	@echo "-M- building and distributing"
 	@echo "--------------------------------------------------------------------------------"
@@ -40,47 +40,65 @@
 	twine upload --verbose dist/*
 
 .PHONY: bump-major
-bump-major:  ## bump-major, tag and push
+bump-major:  check-github-token  ## bump-major, tag and push
 	bump-my-version bump --commit --tag major
 	git push
 	git push --tags
 	@$(MAKE) create-release
 
 .PHONY: bump-minor
-bump-minor:  ## bump-minor, tag and push
+bump-minor:  check-github-token  ## bump-minor, tag and push
 	bump-my-version bump --commit --tag minor
 	git push
 	git push --tags
 	@$(MAKE) create-release
 
 .PHONY: bump-patch
-bump-patch:  ## bump-patch, tag and push
+bump-patch:  check-github-token  ## bump-patch, tag and push
 	bump-my-version bump --commit --tag patch
 	git push
 	git push --tags
 	@$(MAKE) create-release
 
 .PHONY: create-release
-create-release:  ## create a release on GitHub via the gh cli
-	@if command -v gh version &>/dev/null; then \
+create-release: check-github-token  ## create a release on GitHub via the gh cli
+	@if ! command -v gh &>/dev/null; then \
+		echo "You do not have the GitHub CLI (gh) installed. Please create the release manually."; \
+		exit 1; \
+	else \
 		echo "Creating GitHub release for v$(VERSION)"; \
 		gh release create "v$(VERSION)" --generate-notes; \
-	else \
-		echo "You do not have the github-cli installed. Please create release from the repo manually."; \
+	fi
+
+.PHONY: check-github-token
+check-github-token:  ## Check if GITHUB_TOKEN is set
+	@if [ -z "$$GITHUB_TOKEN" ]; then \
+		echo "GITHUB_TOKEN is not set. Please export your GitHub token before running this command."; \
 		exit 1; \
 	fi
+	@echo "GITHUB_TOKEN is set"
 
 ################################################################################
 # Testing \
 TESTING:  ## ############################################################
 .PHONY: test
-test:  ## run tests
+test: test-unit test-docker  ## run tests
 	#python -m pytest -ra --junitxml=report.xml --cov-config=pyproject.toml --cov-report=xml --cov-report term --cov=$(pkg_src) tests/
-	RUN_ENV=local python -m pytest -m "not (experimentation)" --cov-config=pyproject.toml --cov-report=html --cov-report=term --cov=$(pkg_src) tests
+	#RUN_ENV=local python -m pytest -m "not (experimentation)" --cov-config=pyproject.toml --cov-report=html --cov-report=term --cov=$(pkg_src) tests
+	:
 
 .PHONY: test-unit
 test-unit:  ## run all tests except "integration" marked
 	RUN_ENV=local python -m pytest -m "not (integration or experimentation)" --cov-config=pyproject.toml --cov-report=html --cov-report=term --cov=$(pkg_src) tests
+
+.PHONY: test-docker
+test-docker:  ## test-docker (docker desktop: advanced settings)
+	@if [ -S /var/run/docker.sock > /dev/null 2>&1 ]; then \
+		echo "Running docker tests because /var/run/docker.docker exists..."; \
+		RUN_ENV=local python -m pytest -m "integration" tests; \
+	else \
+		echo "Skipping tests: /var/run/docker.sock does not exist."; \
+	fi
 
 .PHONY: tox
 tox:   ## Run tox

=== debian/changelog ===
python-sse-starlette (2.3.4-1) unstable; urgency=medium

  * [eb2993c] New upstream version 2.3.4

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Thu, 08 May 2025 10:55:51 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-requests <!nocheck>,
  python3-setuptools,
  python3-starlette <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/sysid/sse-starlette
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sse-starlette
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sse-starlette.git

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-anyio,
 python3-asgi-lifespan,
 python3-httpx,
 python3-psutil,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-requests,
 python3-starlette,
 @,
Restrictions: allow-stderr

## python-sse-starlette 3.0.2

=== Makefile ===
--- 
+++ 
@@ -100,9 +100,6 @@
 		echo "Skipping tests: /var/run/docker.sock does not exist."; \
 	fi
 
-.PHONY: tox
-tox:   ## Run tox
-	tox
 
 ################################################################################
 # Code Quality \

=== debian/changelog ===
python-sse-starlette (3.0.2-2) unstable; urgency=medium

  * Team upload
  * [6dff3b8] d/control: Add python3-starlette as dep

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 27 Oct 2025 08:03:48 +0200

python-sse-starlette (3.0.2-1) unstable; urgency=medium

  * Team upload
  * [383e5e2] d/watch: Convert to version 5
  * [4a8c547] New upstream version 3.0.2
  * [9bf7e0a] d/control: Remove Rules-Requires-Root

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 Oct 2025 14:56:12 +0200

=== debian/control ===
--- 
+++ 
@@ -24,11 +24,11 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sse-starlette
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sse-starlette.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-sse-starlette
 Architecture: all
 Depends:
+ python3-starlette,
  ${misc:Depends},
  ${python3:Depends},
 Description: SSE plugin for Starlette and FastAPI (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,11 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=sse_starlette
+export PYBUILD_TEST_ARGS=\
+ --ignore tests/experimentation/test_multiple_consumers_asyncio.py \
+ --ignore tests/experimentation/test_multiple_consumers_threads.py \
+ --ignore tests/integration/test_multiple_consumers.py \
+ $(NULL)
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Source: https://github.com/sysid/sse-starlette.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/
Mode: git
Pgpmode: none

## python-sse-starlette 3.1.2

=== debian/changelog ===
python-sse-starlette (3.1.2-1) unstable; urgency=medium

  * Team upload
  * [9b84824] New upstream version 3.1.2
  * [e8ae076] d/control: Bump Standards-Version to 4.7.3
    No further changes needed.
  * [b04d501] d/control: Set version dep on python3-starlette

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 01 Jan 2026 19:14:15 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
  python3-pytest-cov <!nocheck>,
  python3-requests <!nocheck>,
  python3-setuptools,
- python3-starlette <!nocheck>,
-Standards-Version: 4.7.2
+ python3-starlette (>> 0.49.1) <!nocheck>,
+Standards-Version: 4.7.3
 Homepage: https://github.com/sysid/sse-starlette
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sse-starlette
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sse-starlette.git
@@ -28,7 +28,7 @@
 Package: python3-sse-starlette
 Architecture: all
 Depends:
- python3-starlette,
+ python3-starlette (>> 0.49.1),
  ${misc:Depends},
  ${python3:Depends},
 Description: SSE plugin for Starlette and FastAPI (Python 3)

## python-sse-starlette 3.2.0

=== Makefile ===
--- 
+++ 
@@ -114,7 +114,7 @@
 	@ruff format --check $(pkg_src) $(tests_src)
 
 .PHONY: style
-style: sort-imports format  ## perform code style format
+style: format  ## perform code style format
 
 .PHONY: lint
 lint:  ## check style with ruff
@@ -123,6 +123,10 @@
 .PHONY: mypy
 mypy:  ## check type hint annotations
 	@mypy --config-file pyproject.toml --install-types --non-interactive $(pkg_src)
+
+.PHONY: pre-commit-install
+pre-commit-install:  ## install pre-commit hooks
+	pre-commit install
 
 ################################################################################
 # Clean \

=== debian/changelog ===
python-sse-starlette (3.2.0-1) unstable; urgency=medium

  * Team upload
  * [1713517] New upstream version 3.2.0
  * [6554294] d/control: Drop field Priority: optional
  * [466d555] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Jan 2026 19:00:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-sse-starlette
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Kathara Sasikumar <katharasasikumar007@gmail.com>,
